uuid: d13f3c10-bcc2-4e1f-a3f2-f9d681723b18
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_degree_option
    - search_api.index.program_index
    - taxonomy.vocabulary.degree_options
  module:
    - search_api
id: programs_list
label: 'Programs List'
module: views
description: ''
tag: ''
base_table: search_api_index_program_index
base_field: search_api_id
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      title: 'Programs List'
      fields:
        field_degree_option:
          id: field_degree_option
          table: search_api_index_program_index
          field: field_degree_option
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: null
          entity_field: null
          plugin_id: search_api_field
          label: 'Degree Option (indexed field)'
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: target_id
          type: entity_reference_label
          settings: {  }
          group_column: target_id
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: true
          fallback_handler: search_api_entity
          fallback_options:
            link_to_item: false
            use_highlighting: false
            multi_type: separator
            multi_separator: ', '
            display_methods: {  }
        title:
          id: title
          table: search_api_datasource_program_index_entity_node
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          plugin_id: search_api_field
          label: Title
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: false
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: true
          fallback_handler: search_api
          fallback_options:
            link_to_item: false
            use_highlighting: false
            multi_type: separator
            multi_separator: ', '
        degree_option_name:
          id: degree_option_name
          table: search_api_index_program_index
          field: degree_option_name
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_field
          label: 'Degree Option » Taxonomy term » Name (indexed field)'
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: false
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: true
          fallback_handler: search_api
          fallback_options:
            link_to_item: false
            use_highlighting: false
            multi_type: separator
            multi_separator: ', '
      pager:
        type: full
        options:
          offset: 0
          items_per_page: 50
          total_pages: null
          id: 0
          tags:
            next: ››
            previous: ‹‹
            first: '« First'
            last: 'Last »'
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          quantity: 9
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: true
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: none
        options: {  }
      cache:
        type: search_api_none
        options: {  }
      empty: {  }
      sorts:
        degree_option_name:
          id: degree_option_name
          table: search_api_index_program_index
          field: degree_option_name
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: ASC
          expose:
            label: ''
            field_identifier: degree_option_name
          exposed: false
        title:
          id: title
          table: search_api_index_program_index
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: ASC
          expose:
            label: ''
            field_identifier: title
          exposed: false
      arguments: {  }
      filters:
        field_degree_option:
          id: field_degree_option
          table: search_api_index_program_index
          field: field_degree_option
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_term
          operator: or
          value: {  }
          group: 1
          exposed: true
          expose:
            operator_id: field_degree_option_op
            label: 'Degree Option'
            description: ''
            use_operator: false
            operator: field_degree_option_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: field_degree_option
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          vid: degree_options
          type: select
          hierarchy: false
          limit: true
          error_message: true
      style:
        type: table
      row:
        type: fields
      query:
        type: search_api_query
        options:
          bypass_access: false
          skip_access: false
          preserve_facet_query_args: false
      relationships: {  }
      use_ajax: true
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
        - user
      tags:
        - 'config:field.storage.node.field_degree_option'
  page_1:
    id: page_1
    display_title: Page
    display_plugin: page
    position: 1
    display_options:
      display_extenders: {  }
      path: programs-list
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
        - user
      tags:
        - 'config:field.storage.node.field_degree_option'
